PossibilityIterator (Solr 3.6.2 API)
Keywords: org.apache.solr.spelling.PossibilityIterator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.spelling
Class PossibilityIterator

    java.lang.Object
      org.apache.solr.spelling.PossibilityIterator

All Implemented Interfaces:
  Iterator<RankedSpellPossibility>

    public class PossibilityIterator

extends Object
implements Iterator<RankedSpellPossibility>

Given a list of possible Spelling Corrections for multiple mis-spelled words in a query, This iterator returns Possible Correction combinations ordered by reasonable probability that such a combination will return actual hits if re-queried. This implementation simply ranks the Possible Combinations by the sum of their component ranks.

Constructor Summary
`PossibilityIterator(Map<Token,LinkedHashMap<String,Integer>> suggestions, int maximumRequiredSuggestions, int maxEvaluations)` We assume here that the passed-in inner LinkedHashMaps are already sorted in order of "Best Possible Correction".

Method Summary
`boolean` | `hasNext()`
`RankedSpellPossibility` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PossibilityIterator

    public PossibilityIterator(Map<Token,LinkedHashMap<String,Integer>> suggestions,
                               int maximumRequiredSuggestions,
                               int maxEvaluations)

  We assume here that the passed-in inner LinkedHashMaps are already sorted in order of "Best Possible Correction".

  Parameters:
    `suggestions` -

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<RankedSpellPossibility>`

### next

    public RankedSpellPossibility next()

  Specified by:
    `next` in interface `Iterator<RankedSpellPossibility>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<RankedSpellPossibility>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD